View Issue Details

IDProjectCategoryView StatusLast Update
0002299Ham Radio DeluxeEnhancementpublic2019-01-16 22:05
ReporterPD9FER 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.5.0.183 
Summary0002299: FTDX-3000 Countour Slider missing
DescriptionMenu 108 contoure level is missing
There are sliders for the other two contoure settings
Steps To ReproduceN/A
Additional InformationTicket 721696
TagsFTDX-3000, Yaesu
ModuleRig Control
Sub-ModuleRadio Support
Testing Beta Successful

Relationships

Activities

K7ZCZ

2018-12-02 17:24

manager   ~0006516

The contour setting for this radio is given by the EX108 command, which sets the value for menu item 108. This contrasts with the other contour parameters, set with "CO" command.

Rig Control relies on a series of static initialized arrays to define the commands and parameter set to radios. These command are divided into different groups depending on the type of command; sliders, lists, buttons, toggle buttons, and so on, are all different groups.

The group handling sliders has min, max, range, and scale parameters. The implication is that we'd set a range from -40 to +20 to match the range of the parameter for the EX108 command. However, this simply doesn't work. For Kenwood-protocol radios (the "new Yaesu" protocol), the scaling parameters are ignored. Even when they're heeded, resulting negative values are not supported correctly.

While it might seem simple to add a command, the deficits in design and implementation of the rig control application result in unexpected and unneeded complexity.

I'll try to figure out how to work around these problems and see if I can cook up a solution that doesn't add complexity, is usable for othe radios with signed parameters, and clearly conveys its intent so time isn't wasted when managing settings and commands in the future.

K7ZCZ

2018-12-04 09:15

manager   ~0006522

I've made some fixes to the CRadioOptions class to support signed values in responses to the rig. This can be reused, and should be patterned; I prefer it vastly to adding exceptions for each little difference.

Of course, fixing up this change led to a slippery slope of fixing other problems in the CRadioOptions class, so this checkin does a lot of cleanup ... but the requested slider is added and it's easier to add similar feature to other radios from now on.

Fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4507

PD9FER

2018-12-10 07:02

viewer   ~0006558

Asked customer

PD9FER

2018-12-14 05:39

viewer   ~0006627

No feedback from customer.

WA9PIE

2019-01-09 13:14

administrator   ~0006912

validated by customer

Issue History

Date Modified Username Field Change
2017-12-27 13:29 PD9FER New Issue
2018-11-27 23:42 WA9PIE Tag Attached: FTDX3000
2018-11-29 00:41 WA9PIE Tag Attached: Yaesu FTDX3000
2018-11-29 00:41 WA9PIE Tag Detached: FTDX3000
2018-11-30 18:27 WA9PIE Tag Attached: Yaesu
2018-11-30 18:27 WA9PIE Tag Attached: FTDX-3000
2018-11-30 18:28 WA9PIE Tag Detached: Yaesu FTDX3000
2018-12-02 14:18 K7ZCZ Assigned To => K7ZCZ
2018-12-02 14:18 K7ZCZ Status new => assigned
2018-12-02 17:24 K7ZCZ Note Added: 0006516
2018-12-04 09:15 K7ZCZ Status assigned => resolved
2018-12-04 09:15 K7ZCZ Resolution open => fixed
2018-12-04 09:15 K7ZCZ Testing => Not Started
2018-12-04 09:15 K7ZCZ Note Added: 0006522
2018-12-05 11:24 WA9PIE Project 1 - Backlog => 3 - Current Dev List
2018-12-09 15:48 K7ZCZ Fixed in Version => 6.5.0.132
2018-12-10 07:02 PD9FER Note Added: 0006558
2018-12-14 05:39 PD9FER Note Added: 0006627
2019-01-09 13:14 WA9PIE Status resolved => closed
2019-01-09 13:14 WA9PIE Testing Not Started => Beta Successful
2019-01-09 13:14 WA9PIE Note Added: 0006912
2019-01-16 22:04 WA9PIE Fixed in Version 6.5.0.132 => 6.5.0.183
2019-01-16 22:05 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe